---------Criando a tabela temporaria
CREATE TABLE #RsPdv (CD_EMP INT,CD_FILIAL INT,CD_RC_DEB INT,NR_DP INT,PARC INT,ANO INT,STS_DP INT)

--Inserindo os dados dos clientes na tabela temporaria

INSERT INTO #RsPdv
SELECT 
	CD_EMP,CD_FILIAL,CD_RC_DEB,NR_DP,PARC,ANO,STS_DP

FROM V_RC_DEB_VLR_SLD
	
WHERE VLR_SLD=0 and STS_DP=0


--Criando variavel que vai receber o codigo do cliente
DECLARE @CD_EMP INT
DECLARE @CD_FILIAL INT
DECLARE @CD_RC_DEB INT
DECLARE @NR_DP INT
DECLARE @PARC INT
DECLARE @ANO INT
DECLARE @STS_DP INT


--Criando o cursos de alteração para que possamos alterar cliente a cliente

SET NOCOUNT ON
DECLARE Vendas CURSOR FAST_FORWARD FOR SELECT CD_EMP,CD_FILIAL,CD_RC_DEB,NR_DP,PARC,ANO,STS_DP FROM #RsPdv
OPEN Vendas
FETCH NEXT FROM Vendas INTO @CD_EMP,@CD_FILIAL,@CD_RC_DEB,@NR_DP,@PARC,@ANO,@STS_DP
WHILE @@FETCH_STATUS=0
 Begin
  UPDATE RC_DEB SET STS_DP = 1  WHERE CD_EMP=@CD_EMP AND CD_FILIAL=@CD_FILIAL AND CD_RC_DEB=@CD_RC_DEB AND NR_DP=@NR_DP AND PARC=@PARC AND ANO=@ANO
   
  FETCH NEXT FROM Vendas INTO @CD_EMP,@CD_FILIAL,@CD_RC_DEB,@NR_DP,@PARC,@ANO,@STS_DP
 End

PRINT 'Concluído.'

--Fechando cursos
CLOSE Vendas;
--Desalocando cursos da memoria
DEALLOCATE Vendas;
--Apagando a tabela temporaria
DROP TABLE #RsPdv;
--pronto não precisa mudar a parcela